# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define gtkmm_version 2.8.0
%define libgnome_version 2.6.0

%define major 1

%define pkgname libgnomemm
%define api_version 2.6
%define libname_orig	libgnomemm%{api_version}
%define libname		libgnomemm%{api_version}_%{major}
%define develname libgnomemm%{api_version}-devel

Summary: 	A C++ wrapper for libgnome
Name: 		%{pkgname}%{api_version}
Version: 	2.30.0
Release: 	alt1_15
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
Source: 	https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gtkmm-2.4) >= %{gtkmm_version}
BuildRequires:	pkgconfig(libgnome-2.0) >= %{libgnome_version}
Buildrequires:	doxygen
Source44: import.info

%description
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{develname}
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: libgnomemm%{api_version}_%{major}-devel

%description -n %develname
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{pkgname},
the C++ interface to libgnome library.

It is necessary when compiling applications which use %{pkgname} as well.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

%install
%makeinstall_std
find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libgnomemm-%{api_version}.so.%{major}*

%files -n %develname
%doc COPYING ChangeLog NEWS docs/reference/html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.30.0-alt1_15
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_14
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_13
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_12
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_11
- update by mgaimport

* Wed Jun 13 2018 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_10
- mga update

* Mon Apr 02 2018 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1_9
- new version

